Package org.eclipse.wst.xsl.ui.internal.preferences

## org.eclipse.wst.xsl.ui.internal.preferences
Class XSLSyntaxColoringPage

    public class XSLSyntaxColoringPage
    extends PreferencePage

A preference page to configure our XSL syntax color. It resembles the XML pages.

## Constructor Summary

`XSLSyntaxColoringPage()`

## Method Summary

`public void` | `applyStyles()` Color the text in the sample area according to the current preferences
`public Button` | `createCheckbox(Composite parent , java.lang.String label)`
`protected Control` | `createContents(Composite parent)`
`public void` | `dispose()`
`protected IPreferenceStore` | `doGetPreferenceStore()`
`public void` | `init(IWorkbench workbench)`
`protected void` | `performDefaults()`
`public boolean` | `performOk()`

## Constructor Detail

## XSLSyntaxColoringPage

`public XSLSyntaxColoringPage()`

## Methods Detail

## applyStyles

`public void applyStyles()`

Color the text in the sample area according to the current preferences

## createCheckbox

`public Button createCheckbox(Composite parent , java.lang.String label)`

### Parameters

`parent`

`label`

### Returns

`Button`

## createContents

`protected Control createContents(Composite parent)`

### Parameters

`parent`

### Returns

`Control`

## dispose

`public void dispose()`

## doGetPreferenceStore

`protected IPreferenceStore doGetPreferenceStore()`

### Returns

`IPreferenceStore`

## init

`public void init(IWorkbench workbench)`

### Parameters

`workbench`

## performDefaults

`protected void performDefaults()`

## performOk

`public boolean performOk()`

### Returns

`boolean`